## net.i2p.router.transport.tcp
Class PersistentConnectionTagManager

    java.lang.Object
      net.i2p.router.transport.tcp.ConnectionTagManager
          net.i2p.router.transport.tcp.PersistentConnectionTagManager

    public class PersistentConnectionTagManager

extends ConnectionTagManager

Simple persistent impl writing the connection tags to connectionTag.keys (or another file specified via "i2np.tcp.tagFile")

Field Summary
`static java.lang.String` `DEFAULT_TAG_FILE`
`static java.lang.String` `PROP_TAG_FILE`

Fields inherited from class net.i2p.router.transport.tcp.ConnectionTagManager
`_log, MAX_CONNECTION_TAGS`

Constructor Summary
`PersistentConnectionTagManager(RouterContext context)`

Method Summary
`protected void` `initialize()`
`protected void` `saveTags(java.util.Map keyByPeer, java.util.Map tagByPeer)` Save the tags/keys associated with the peer.

Methods inherited from class net.i2p.router.transport.tcp.ConnectionTagManager
`getContext, getKey, getKey, getTag, initializeData, replaceTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_TAG_FILE

    public static final java.lang.String PROP_TAG_FILE

See Also:
  Constant Field Values

### DEFAULT_TAG_FILE

    public static final java.lang.String DEFAULT_TAG_FILE

See Also:
  Constant Field Values

Constructor Detail

### PersistentConnectionTagManager

    public PersistentConnectionTagManager(RouterContext context)

Method Detail

### initialize

    protected void initialize()

  Overrides:
    `initialize` in class `ConnectionTagManager`

### saveTags

    protected void saveTags(java.util.Map keyByPeer,
                            java.util.Map tagByPeer)

  Save the tags/keys associated with the peer.

  Overrides:
    `saveTags` in class `ConnectionTagManager`
  Parameters:
    `keyByPeer` - H(routerIdentity) to SessionKey
    `tagByPeer` - H(routerIdentity) to ByteArray